Opened 4 months ago

Last modified 7 weeks ago

#14836 new defect

FREESCAPE: Amiga/AtariST releases of Dark Side are not supported yet

Reported by: neuromancer Owned by: neuromancer
Priority: normal Component: Engine: Freescape
Version: Keywords:
Cc: Game: Dark Side

Description

These releases are still unsupported. There is code to decrypt them, but I suspect some bytes are not correct and result in corruption in the parsing of level and images. On top of that, these releases features group animations that need to be correctly implemented and a new "color" which shuffles between all the palette colors in each frame.

Change History (1)

comment:1 by neuromancer, 7 weeks ago

The parsing of Amiga/Atari was improved and it is (almost?) perfect now. That fixed some issues when parsing invalid data from groups.

Note: See TracTickets for help on using tickets.